package com.qzy.service.impl;

import com.qzy.dao.UserLoginDao;
import com.qzy.dao.impl.userLoginDaoImpl;
import com.qzy.exception.UsersnotFound;
import com.qzy.pojo.Users;
import com.qzy.service.UserLoginService;

/**
 * 用户登录业务
 */
public class UserLoginServiceImpl implements UserLoginService {
    /**
     * 用户登录
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users userLogin(String username, String userpwd) {
        UserLoginDao userLoginDao = new userLoginDaoImpl();
        Users users = userLoginDao.selectUsersAndUsernameAndUserPwd(username,userpwd);
        if(users == null){
            throw new UsersnotFound("用户名或者密码错误！");
        }
        return users;
    }
}
